XAMPP 1.8.0 Difficulté phpmyadmin après mise à niveau

Il y a quelques jours sont sorti XAMPP 1.8.0 Après la mise à niveau de version 1.7.7 J’ai eu un problème assez intéressant. PhpMyAdmin, pas mon ouverture et izg″rmâvaše avec 403

Accès interdit!


Nouveau concept de sécurité XAMPP:

Accès à l’objet demandé n’est disponible que depuis le réseau local.

Ce paramètre peut être configuré dans le fichier “httpd-xampp.conf”.

Maintenant, j’ai ouvert le httpd-conf xampp qui est pour moi... se trouve dans le/opt/lampp/etc/extra /, à première vue, tout semblait bien. Les règles pour le réseau local ont été très bien. En dehors de cela, j’ouvrais le localhost. WTF ??? J’ai regardé le journal et de voir que mon accès est coupé par konfiguaciâta. Les choses ICIS déjà ahnaha moi et franchement le genre d’un peu de chance j’ai trouvé le problème. Après avoir scie Allow/Deny clauses un dernier rang et conf httpd. Besoin de toutes accordées. Oh à Eureka. Il s’agit du nouveau mécanisme de contrôle qui est entré en Apache 2.4.x. Il donne accès ou refuser ces tous très bien, fondamentalement imité Allow/Deny fonctionnalité :). Pour remédier au problème, que nous ajoutons exigent tous délivrés dans le/opt/lampp/phpmyadmin dossier. Après les changements en moi ressemble à ceci

<Annuaire “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limite
Permettre à commander,nier
Permettre de tous les
Besoin de toutes accordées
</Annuaire>

 

Vous pouvez toujours essayer un autre divoti, par exemple, pour renommer le dossier phpmyadmin quelque chose d’autre et ne sont pas alias à. Mais c’est moche et pas très utile 🙂

p. s Asked me pourquoi j’utilise XAMPP et nettoyez pas installer tous les composants, car c’est ma Debian naquis – la réponse est vraiment très simple – PARESSE. Moi trop paresseux pour écrire plusieurs commandes puis téléchargez konfovete etc.. Assez facile est de prendre votre razarhiviraš toute la meute et la lumière 😉

Amélioré par Zemanta

Laisser une Réponse

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont marqués *

Anti-SPAM *